package com.antai.sport.http.server.management.api.business.series.service;

import com.antai.sport.http.server.management.api.business.series.dto.SeriesListQueryDTO;
import com.antai.sport.http.server.management.api.business.series.mapper.SeriesBusinessMapper;
import com.antai.sport.http.server.management.api.business.series.vo.SeriesListPageVO;
import com.antai.sport.http.server.management.api.business.series.vo.SeriesListVO;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.metadata.OrderItem;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class SeriesService {
    @Resource
    private SeriesBusinessMapper seriesBusinessMapper;

    public SeriesListPageVO getSeriesList(SeriesListQueryDTO dto) {
        SeriesListPageVO result = new SeriesListPageVO();
        Page<SeriesListVO> pageParam = new Page<>(dto.getPageNo(), dto.getPageSize());
        pageParam.addOrder(new OrderItem("id", false));
        IPage<SeriesListVO> seriesListPage = seriesBusinessMapper.getSeriesList(pageParam, dto);
        result.setPageNo(dto.getPageNo());
        result.setTotalCount(seriesListPage.getTotal());
        result.setData(seriesListPage.getRecords());
        return result;
    }
}
